Bug 1201849 - Support an environment file in the systemd unit file
Summary: Support an environment file in the systemd unit file
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 27
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 15:53 UTC by fedora.dm0
Modified: 2019-02-02 00:39 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-27 15:18:16 UTC


Attachments (Terms of Use)

Description fedora.dm0 2015-03-13 15:53:14 UTC
Description of problem:
The old init script sourced /etc/sysconfig/nagios for configuring Nagios and its plugins.  It would be useful to have this file specified by EnvironmentFile in the current systemd service, for example to set up the environment for custom Oracle or Python installs.

Version-Release number of selected component (if applicable):
3.5.1-7 (latest)

Additional info:
This change is on top of the current Git master according to https://fedoraproject.org/wiki/Packaging:Systemd#EnvironmentFiles_and_support_for_.2Fetc.2Fsysconfig_files .  (I'm not sure if the file needs to be listed in the spec if it isn't providing one by default.)

--- a/nagios.service
+++ b/nagios.service
@@ -6,6 +6,7 @@ Documentation=http://www.nagios.org/documentation
 Type=simple
 User=nagios
 Group=nagios
+EnvironmentFile=-/etc/sysconfig/nagios
 PIDFile=/var/run/nagios/nagios.pid
 # Verify Nagios config before start as upstream suggested
 ExecStartPre=/usr/sbin/nagios -v /etc/nagios/nagios.cfg

Comment 1 Jan Kurik 2015-07-15 14:24:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2015-09-20 14:39:30 UTC
nagios-4.0.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 3 Fedora Update System 2015-09-20 14:39:32 UTC
nagios-4.0.8-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 4 Fedora Update System 2015-09-20 14:40:26 UTC
nagios-4.0.8-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 5 Fedora Update System 2015-09-20 14:40:27 UTC
nagios-4.0.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 6 Fedora Update System 2015-09-20 14:41:15 UTC
nagios-4.0.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 7 Fedora Update System 2015-09-20 16:49:37 UTC
nagios-4.0.8-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16239

Comment 8 Fedora Update System 2015-09-20 16:51:38 UTC
nagios-4.0.8-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16238

Comment 9 Fedora Update System 2015-09-20 17:20:02 UTC
nagios-4.0.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16240

Comment 10 Fedora Update System 2015-09-21 02:47:21 UTC
nagios-4.0.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8156

Comment 11 Fedora Update System 2015-09-21 02:50:52 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nagios'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8155

Comment 12 fedora.dm0 2015-09-30 14:55:52 UTC
There is still no EnvironmentFile line in the service file, neither in the EPEL 7 RPM (which I'm testing) nor the package's master branch.  The original post in this bug has the line I used for compatibility with the old init script.

Side note: It would also be handy to support the "reload" command by adding this line to the [Service] section as well.

ExecReload=/bin/kill -HUP $MAINPID

Comment 13 Fedora Update System 2015-12-05 20:31:13 UTC
nagios-4.0.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 fedora.dm0 2015-12-06 16:18:44 UTC
This was not fixed.

Comment 15 Jan Kurik 2016-02-24 15:40:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 16 Fedora Admin XMLRPC Client 2017-01-20 16:59:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 17 Fedora Update System 2017-02-09 17:29:00 UTC
nagios-4.2.4-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-270f6f4375

Comment 18 Fedora Update System 2017-02-10 22:41:21 UTC
nagios-4.2.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 19 Fedora Update System 2017-02-11 16:19:02 UTC
nagios-4.2.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-acd2c2af0d

Comment 20 Fedora Update System 2017-05-11 19:17:34 UTC
nagios-4.3.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 21 Fedora Update System 2017-05-12 19:52:12 UTC
nagios-4.3.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1f2571d162

Comment 22 Edgar Hoch 2017-05-12 22:38:10 UTC
Thanks for updating package nagios!

There are 4.3.1 packages build for F24, F26, EL-6, EPEL-7, but not for F25 in bodhi. nagios-4.3.2-1.fc25 was build in koji, but I think it will not go to the testing and updates repos without bodhi?

Comment 23 Fedora Update System 2017-06-14 17:47:51 UTC
nagios-4.3.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 24 Fedora Update System 2017-06-14 18:14:26 UTC
nagios-4.3.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 25 Fedora Update System 2017-06-14 18:26:15 UTC
nagios-4.3.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 26 Fedora Update System 2017-06-14 18:53:02 UTC
nagios-4.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 27 Fedora Update System 2017-06-14 18:58:47 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 28 Fedora Update System 2017-06-15 09:46:16 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 29 Fedora Update System 2017-06-15 09:47:52 UTC
nagios-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 30 Fedora Update System 2017-06-15 10:56:57 UTC
nagios-4.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 31 Fedora Update System 2017-06-15 10:58:49 UTC
nagios-4.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 32 Fedora Update System 2017-06-15 14:00:48 UTC
nagios-4.3.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 33 Fedora Update System 2017-06-28 19:26:39 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 34 Fedora Update System 2017-06-29 23:25:07 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff366a9c63

Comment 35 Fedora Update System 2017-06-30 01:16:03 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 36 Fedora Update System 2017-06-30 01:20:51 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a6bf582624

Comment 37 Fedora Update System 2017-06-30 01:50:21 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1f1f14fbc

Comment 38 Fedora Update System 2017-06-30 02:26:11 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72d4579efc

Comment 39 Fedora Update System 2017-07-23 02:20:03 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 fedora.dm0 2017-07-23 03:32:27 UTC
This still was not fixed.

I was asking to modify this file:

http://pkgs.fedoraproject.org/cgit/rpms/nagios.git/tree/nagios.service

Add these lines to match the functionality available in the init scripts:

EnvironmentFile=-/etc/sysconfig/nagios
ExecReload=/bin/kill -HUP $MAINPID

Comment 41 Fedora Update System 2017-07-23 03:54:22 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2017-07-23 18:49:10 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2017-07-23 21:50:13 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2017-07-23 22:53:37 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 45 Jan Kurik 2017-08-15 09:03:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 46 Fedora Update System 2018-07-25 00:53:09 UTC
nagios-4.3.4-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 47 Fedora Update System 2018-07-25 19:52:35 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 48 Fedora Update System 2018-07-26 11:50:08 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 49 Ben Cotton 2018-11-27 14:55:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 50 Edgar Hoch 2018-11-27 15:13:20 UTC
The bug is solved in nagios-4.3.4-13.fc29.x86_64, it can be closed.

# grep Envi /usr/lib/systemd/system/nagios.service
EnvironmentFile=-/etc/sysconfig/nagios

Comment 51 Fedora Update System 2018-11-30 19:59:00 UTC
nagios-4.4.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 52 Fedora Update System 2018-12-01 01:55:33 UTC
nagios-4.4.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 53 Fedora Update System 2019-01-17 00:14:55 UTC
nagios-4.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 54 Fedora Update System 2019-01-18 01:00:37 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 55 Fedora Update System 2019-02-02 00:39:34 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.